program main
use constants
use vector_
use polynomial_
implicit none
type(vector)::      v
type(polynomial)::  p
real(rp)::          s

    call v%init(dfloat((/1:10/)))
    call p%init(v)
    
    s = 1.d0
    
    v = s*v !| s*v defined in <svmultiply>
    p = s*p !| (s+1.d0)*p defined in <spmultiply>
    
    
    call v%prints
    print*,'-----------'
    call p%prints
    
    
end program main